{ config, pkgs, lib, ... }:

{
  imports = [
    ./hardware.nix
  ];

  # - Basic --------------------------------------

  networking.hostName = "kopavogur";

  samfelag.modules.user = {
    name = "marc";
  };

  # - Bootloader ---------------------------------

  boot.loader.grub.enable = true;
  boot.loader.grub.device = "/dev/sda";
  boot.loader.grub.useOSProber = true;

  # - Services -----------------------------------

  samfelag.profiles.desktop.enable = true;

  system.stateVersion = "22.05";

}
